<p align="center">
 <img height="400" width="400" src="https://github.com/aa-sikkkk/ImageUpscaler/assets/152005759/0af66753-5e4a-4322-ac35-fade40b1656b"
</p>
<p align="center">
  <img src="https://img.shields.io/github/license/aa-sikkkk/ImageUpscaler" alt="License">
  <img src="https://img.shields.io/github/issues/aa-sikkkk/ImageUpscaler" alt="Issues">
  <img src="https://img.shields.io/github/stars/aa-sikkkk/ImageUpscaler" alt="Stars">
</p>

ImageUpscaler is a versatile image processing tool designed to enhance, transform, and manipulate images with a wide range of customizable settings. The application allows users to upscale images, adjust contrast and color, apply various filters, detect faces, and more. It also supports the preservation of metadata and format conversion!

## 📷 Features

- **Upscaling**: Increase the resolution of images by a specified factor.
- **Contrast and Color Adjustment**: Adjust the contrast and color levels of images to enhance visual quality.
- **Watermarking**: Add custom text watermarks to images at specified positions.
- **Format Conversion**: Convert images to different formats, such as PNG, JPEG, etc.
- **Cropping and Resizing**: Crop images to specific dimensions and resize them to desired widths and heights.
- **Rotation and Flipping**: Rotate images by a specified angle and flip them horizontally or vertically.
- **Noise Reduction**: Reduce noise in images to improve clarity.
- **Histogram Equalization**: Apply histogram equalization to enhance the contrast of images.
- **Filters**: Apply sepia and vignette filters for artistic effects.
- **Face Detection**: Detect faces in images and draw rectangles around them.
- **Background Removal**: Remove the background from images to isolate the subject.
- **Compression**: Compress images to reduce file size while maintaining quality.
- **Metadata Preservation**: Preserve original metadata when saving processed images.
- **Desktop Notifications**: Send desktop notifications upon completion of image processing tasks.

<p align="center">
 <img width="250" height="350" src="https://github.com/aa-sikkkk/ImageUpscaler/assets/152005759/6fd814dc-02ef-4147-a30e-bded623efae1">
</p>

HOW TO USE THE TOOL: [USAGE](USE.md)

## 🏆Acknowledgments

- [Real-ESRGAN](https://github.com/xinntao/Real-ESRGAN)
- [Pillow](https://python-pillow.org/)
- [OpenCV](https://opencv.org/)
- [pyfiglet](https://github.com/pwaller/pyfiglet)
- [termcolor](https://pypi.org/project/termcolor/)

## 🎟️License 

This project is licensed under the [GNU Affero General Public License Version 3 (GNU AGPL v3)](https://github.com/aa-sikkkk/ImageUpscaler/blob/8e52b2b3c76b2847b588341534057a03d5861aee/LICENSE.txt)

## 🦮 Contribute 
**We are excited to have you join us in making ImageUpscaler even better! Whether you're fixing bugs, adding new features, improving documentation, or suggesting new ideas, your contributions are welcome and appreciated.**

 `Happy Coding!`
