# Package File For ImageUpscaler
from setuptools import setup, find_packages

with open('README.md', 'r', encoding='utf-8') as file:
    long_description = file.read()

install_requires = [
    'absl-py==2.1.0',
    'addict==2.4.0',
    'attrs==23.2.0',
    'basicsr==1.4.2',
    'certifi==2024.6.2',
    'charset-normalizer==3.3.2',
    'colorama==0.4.6',
    'coloredlogs==15.0.1',
    'contourpy==1.2.1',
    'cycler==0.12.1',
    'ExifRead==3.0.0',
    'facexlib==0.3.0',
    'filelock==3.15.3',
    'filterpy==1.4.5',
    'flatbuffers==24.3.25',
    'fonttools==4.53.0',
    'fsspec==2024.6.0',
    'future==1.0.0',
    'gfpgan==1.3.8',
    'grpcio==1.64.1',
    'humanfriendly==10.0',
    'idna==3.7',
    'imageio==2.34.1',
    'importlib_metadata==7.2.0',
    'intel-openmp==2021.4.0',
    'Jinja2==3.1.4',
    'jsonschema==4.22.0',
    'jsonschema-specifications==2023.12.1',
    'kiwisolver==1.4.5',
    'lazy_loader==0.4',
    'llvmlite==0.43.0',
    'lmdb==1.4.1',
    'Markdown==3.6',
    'MarkupSafe==2.1.5',
    'matplotlib==3.9.0',
    'mkl==2021.4.0',
    'mpmath==1.3.0',
    'networkx==3.3',
    'numba==0.60.0',
    'numpy==1.26.4',
    'onnxruntime==1.18.0',
    'opencv-python==4.10.0.84',
    'opencv-python-headless==4.10.0.84',
    'packaging==24.1',
    'patch-ng==1.17.4',
    'piexif==1.1.3',
    'pillow==10.3.0',
    'platformdirs==4.2.2',
    'plyer==2.1.0',
    'pooch==1.8.2',
    'protobuf==4.25.3',
    'pyfiglet==1.0.2',
    'PyMatting==1.1.12',
    'pyparsing==3.1.2',
    'pyreadline3==3.4.1',
    'python-dateutil==2.9.0.post0',
    'PyYAML==6.0.1',
    'realesrgan>=1.0.0',
    'referencing==0.35.1',
    'rembg==2.0.57',
    'requests==2.32.3',
    'rpds-py==0.18.1',
    'scikit-image==0.24.0',
    'scipy==1.13.1',
    'setuptools==70.1.0',
    'setuptools-scm==8.1.0',
    'six==1.16.0',
    'sympy==1.12.1',
    'tb-nightly==2.18.0a20240616',
    'tbb==2021.13.0',
    'tensorboard-data-server==0.7.2',
    'termcolor==2.4.0',
    'tifffile==2024.6.18',
    'tomli==2.0.1',
    'torch==2.3.1',
    'torchvision==0.18.1',
    'tqdm==4.66.4',
    'typing_extensions==4.12.2',
    'urllib3==2.2.2',
    'Werkzeug==3.0.3',
    'wheel==0.43.0',
    'yapf==0.40.2',
    'zipp==3.19.2',
    
]

extras_require = {
     'realesrgan': [
        'realesrgan', 
    ]
}

setup(
    name='ImageUpscaler',
    version='3.0',
    packages=find_packages(where='imageUpscaler'),
    package_dir={'': 'imageUpscaler'},
    include_package_data=True,
    install_requires=install_requires,
    extras_require=extras_require,
    entry_points={
        'console_scripts': [
            'imageUpscaler=run:main',
        ],
    },
    author='Aas1kk',
    author_email='workingaas1kk@outlook.com',
    description='A package for upscaling images using neural networks.',
    long_description=long_description,
    long_description_content_type='text/markdown',
    url='https://github.com/aa-sikkkk/ImageUpscaler',
    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.6',
)